libgtk3-perl (0.038-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 19:00:04 +0000

libgtk3-perl (0.038-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 13:47:45 +0100

libgtk3-perl (0.038-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Bump debhelper-compat to 13.
  * Remove check for DEB_BUILD_OPTIONS=nocheck from debian/rules.
    debhelper 13 does this for us.

  [ intrigeri ]
  * Import upstream version v0.038.
  * Declare compliance with Debian Policy 4.5.1

 -- intrigeri <intrigeri@debian.org>  Thu, 21 Jan 2021 06:28:48 +0000

libgtk3-perl (0.037-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.037.
  * Drop 0001-Adapt-the-Gtk3-TreeModelSort-new_with_model-overload.patch
    which was taken from upstream Git.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Mar 2020 18:28:23 +0100

libgtk3-perl (0.036-2) unstable; urgency=medium

  * Team upload.
  * debian/watch: use uscan version 4.
  * Add patch from upstream Git repo for gtk+ 3.24.14 compatibility.
    This fixes a test failure first seen on ci.debian.net.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Explicitly check for DEB_BUILD_OPTIONS=nocheck in debian/rules.
    dh_auto_test does this on its own but not xvfb-run which we have now
    annotated as <!nocheck>.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Mar 2020 18:12:17 +0100

libgtk3-perl (0.036-1) unstable; urgency=medium

  * Import new upstream release (Closes: #908745).
  * Drop all patches: applied upstream.

 -- intrigeri <intrigeri@debian.org>  Mon, 16 Sep 2019 13:03:19 +0000

libgtk3-perl (0.035-1) unstable; urgency=medium

  * Import new upstream release.
  * Bump debhelper compatibility version to 12.
  * Declare compatibility with Debian Policy 4.4.0.
  * Drop gdk-pixbuf-2.38.patch: applied upstream.
  * Generalize 0001-Use-a-temporary-directory-as-HOME.patch into
    Use-a-temporary-writable-directory-as-HOME-while-running-.patch,
    to make tests pass in sbuild.
  * Bump copyright years.

 -- intrigeri <intrigeri@debian.org>  Tue, 16 Jul 2019 13:51:08 +0000

libgtk3-perl (0.034-2) unstable; urgency=medium

  * Team upload.
  * Add patch to adjust for changes in gdk-pixbuf 2.38.
    Thanks to Iain Lane for his help from the GNOME side.
    (Closes: #908323)
  * Add a versioned build dependency on gir1.2-gdkpixbuf-2.0
    (>= 2.38.0+dfsg-5~) which fixes #908673, as the second part of
    the fix for the failures in #908323.
  * Drop useless ${shlibs:Depends} from Depends.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Sep 2018 00:14:03 +0200

libgtk3-perl (0.034-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * New upstream version 0.033
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ intrigeri ]
  * New upstream version 0.034
  * Update upstream repo location
  * Declare compliance with Standards-Version 4.1.4
  * Adjust Lintian override wrt. renamed tag

 -- intrigeri <intrigeri@debian.org>  Fri, 25 May 2018 08:09:19 +0000

libgtk3-perl (0.032-1) unstable; urgency=medium

  * Import new upstream release.
  * Bump {build,run}-time dependency on libglib-object-introspection-perl
    to >= 0.043.
  * Declare compliance with Standards-Version 4.0.0 (no change required).
  * Bump debhelper compatibility level to 10,
    adjust build-dependencies accordingly.

 -- intrigeri <intrigeri@debian.org>  Sat, 24 Jun 2017 08:30:57 +0000

libgtk3-perl (0.030-1) unstable; urgency=medium

  * Import new upstream release.
  * Drop Gtk3-0.026-Fix-Pango-font-syntax.patch: fixed upstream
    in a slightly different way.

 -- intrigeri <intrigeri@debian.org>  Sun, 27 Nov 2016 09:59:47 +0000

libgtk3-perl (0.029-1) unstable; urgency=medium

  * Import new upstream release.
  * Drop spelling.patch: applied upstream.

 -- intrigeri <intrigeri@debian.org>  Sun, 02 Oct 2016 08:37:10 +0000

libgtk3-perl (0.028-2) unstable; urgency=medium

  * Team upload.
  * Add a patch from CPAN RT to fix a test failure caused by a warning
    about Pango markup in newer gtk3. (Closes: #837136)
  * Add a patch to fix a typo in the documentation.
  * debian/*: use HTTPS for two URLs.
  * debian/control: drop explicit build dependency on Test::More.
    Already satisfied in oldstable.

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Sep 2016 13:41:22 +0200

libgtk3-perl (0.028-1) unstable; urgency=medium

  * Import new upstream release.

 -- intrigeri <intrigeri@debian.org>  Tue, 05 Jul 2016 19:34:06 +0000

libgtk3-perl (0.027-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ intrigeri ]
  * Import new upstream release.
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <intrigeri@debian.org>  Thu, 23 Jun 2016 08:14:57 +0000

libgtk3-perl (0.026-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.026.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Dec 2015 22:07:24 +0100

libgtk3-perl (0.025-1) unstable; urgency=medium

  * Team upload.
  * Add debian/upstream/metadata.
  * Import upstream version 0.025.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Oct 2015 15:58:17 +0100

libgtk3-perl (0.023-1) unstable; urgency=medium

  * Import new upstream release:
    - Test that loading Gtk3 multiple times does not affect vfunc overloading
    - Fix warnings from the Gtk3::Menu tests
    - Fix warnings from the dialog tests
    - Fix a test failure in t/zz-GdkEvent.t
    - Support gdk-pixbuf >= 2.31.3, that reverted some annotation changes
      that came with 2.31.2.
  * Drop 0002-Support-gdk-pixbuf-2.31.3-that-reverted-some-annotat.patch:
    merged upstream.

 -- intrigeri <intrigeri@debian.org>  Fri, 14 Aug 2015 13:28:17 +0200

libgtk3-perl (0.021-3) unstable; urgency=medium

  * Mark package as autopkgtest-able.
  * 0002-Support-gdk-pixbuf-2.31.3-that-reverted-some-annotat.patch:
    new patch, that adds support for gdk-pixbuf >= 2.31.3, which reverted
    some annotation changes that came with 2.31.2 (Closes: #786604).
  * Fix grammar in long description.
  * Include the name of the main module in long description.

 -- intrigeri <intrigeri@debian.org>  Sun, 31 May 2015 10:12:18 +0200

libgtk3-perl (0.021-2) unstable; urgency=medium

  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Mon, 27 Apr 2015 11:11:28 +0200

libgtk3-perl (0.021-1) experimental; urgency=medium

  * New upstream release.
  * Bump upstream's and debian/* copyright years.
  * 0001-Use-a-temporary-directory-as-HOME.patch: refresh, and fix DEP-3
    header syntax.

 -- intrigeri <intrigeri@debian.org>  Wed, 25 Mar 2015 21:19:34 +0100

libgtk3-perl (0.018-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ intrigeri ]
  * New upstream release.
  * Declare compliance with Standards-Version 3.9.6 (no change needed).

 -- intrigeri <intrigeri@debian.org>  Tue, 14 Oct 2014 22:53:30 +0200

libgtk3-perl (0.017-2) unstable; urgency=medium

  * Team upload.
  * (Build-) depend on libglib-object-introspection-perl >= 0.024.
    This and Gtk3 0.017 are necessary for Perl 5.20.
    (Closes: #752986)

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Jul 2014 18:31:26 +0200

libgtk3-perl (0.017-1) unstable; urgency=medium

  * Team upload.

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Refresh 0001-Use-a-temporary-directory-as-HOME.patch.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Jul 2014 17:21:51 +0200

libgtk3-perl (0.016-1) unstable; urgency=medium

  * New upstream release.

 -- intrigeri <intrigeri@debian.org>  Fri, 21 Feb 2014 10:28:13 +0100

libgtk3-perl (0.015-2) unstable; urgency=medium

  * Team upload.

  [ intrigeri ]
  * Use "perl" instead of "perl-modules" for versioned dependency. The
    split into perl and perl-modules is an implementation details of the
    perl source package.

  [ gregor herrmann ]
  * debian/rules: set HOME for tests to a writable directory.
    (Closes: #735823)

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Jan 2014 22:31:13 +0100

libgtk3-perl (0.015-1) unstable; urgency=medium

  * New upstream release.
  * Mark patch as forwarded.
  * Declare compliance with Standards-Version 3.9.5.
  * Add a Lintian override for debian-watch-may-check-gpg-signature.
    Upstream does not provide detached signatures, but they sign Git tags,
    and we (well, at least I) verify it and compare to the imported tarball
    content before uploading to Debian.
  * Add versioned dependency on
    perl-modules (>= 5.13.4) | libtest-simple-perl (>= 0.96).
  * Refresh Debian patches.

 -- intrigeri <intrigeri@debian.org>  Wed, 08 Jan 2014 16:43:23 +0100

libgtk3-perl (0.014-1) unstable; urgency=low

  * New upstream release.
  * New patch: 0001-Use-a-temporary-directory-as-HOME.patch
    (Closes: #724103).

 -- intrigeri <intrigeri@debian.org>  Mon, 21 Oct 2013 10:18:39 +0200

libgtk3-perl (0.013-1) unstable; urgency=low

  * New upstream release.
  * Bump dependency on libglib-object-introspection-perl to >= 0.016.

 -- intrigeri <intrigeri@debian.org>  Tue, 01 Oct 2013 16:14:38 +0200

libgtk3-perl (0.012-1) UNRELEASED; urgency=low

  * New upstream release.

 -- intrigeri <intrigeri@debian.org>  Tue, 01 Oct 2013 16:12:27 +0200

libgtk3-perl (0.011-1) unstable; urgency=low

  [ Upstream ]
  * Release v0.011: add many new overrides, fix a bunch of bugs.

  [ intrigeri ]
  * Upload to unstable.
  * Update {build-,}dependency on libglib-object-introspection-perl to >= 0.015.
  * Take into account upstream bumped copyright years.
  * Bump our own copyright years.
  * Declare compatibility with Standards-Version 3.9.4.

 -- intrigeri <intrigeri@debian.org>  Thu, 05 Sep 2013 07:25:18 +0200

libgtk3-perl (0.008-1) experimental; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ intrigeri ]
  * Import Upstream version 0.008:
    - Add overrides for Gtk3::Gdk::Event.
    - Add overrides for some Gtk3::RadioMenuItem constructors.
    - Add overrides for Gtk3::CssProvider.
    - Add overrides for Gtk3::UIManager.
    - Always convert GdkRectangle objects to and from Cairo::RectangleInt.
  * Version dependency on libglib-object-introspection-perl (>= 0.012).

 -- intrigeri <intrigeri@debian.org>  Sat, 09 Feb 2013 14:09:21 +0100

libgtk3-perl (0.007-1) experimental; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ intrigeri ]
  * Imported Upstream version 0.007

 -- intrigeri <intrigeri@debian.org>  Mon, 09 Jul 2012 00:56:56 -0600

libgtk3-perl (0.006-2) unstable; urgency=low

  * Cherry-pick upstream commit ffd7da017:
    add an override for Gtk3::show_about_dialog.

 -- intrigeri <intrigeri@debian.org>  Sat, 23 Jun 2012 23:14:07 +0200

libgtk3-perl (0.006-1) unstable; urgency=low

  * Imported Upstream version 0.006
  * Reflected dependencies updated upstream:
    require Glib (1.260) and Glib::Object::Introspection (0.009).
  * Drop 0001-Disable-test-that-needs-Glib-that-was-not-released-y.patch.
    We now ship a recent enough Glib to not need this workaround anymore.

 -- intrigeri <intrigeri@debian.org>  Tue, 05 Jun 2012 11:45:24 +0200

libgtk3-perl (0.005-1) unstable; urgency=low

  * New upstream release.
  * Add dependency on libcairo-gobject-perl.
  * Disable test that needs Glib that was not released yet:
    0001-Disable-test-that-needs-Glib-that-was-not-released-y.patch

 -- intrigeri <intrigeri@debian.org>  Sun, 22 Apr 2012 17:45:50 +0200

libgtk3-perl (0.004-1) unstable; urgency=low

  * Initial release (Closes: #647711).

 -- intrigeri <intrigeri@debian.org>  Sat, 07 Apr 2012 10:24:08 +0200
